Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 411713 - dev-util/mono-debugger - /usr/include/glib-2.0/glib/gthread.h:28:2: error: #error "Only <glib.h> can be included directly."
Summary: dev-util/mono-debugger - /usr/include/glib-2.0/glib/gthread.h:28:2: error: #e...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: dotnet
URL:
Whiteboard:
Keywords: Inclusion
Depends on:
Blocks: glib-2.32
  Show dependency tree
 
Reported: 2012-04-12 11:09 UTC by Csányi András - Sayusi Ando
Modified: 2012-04-18 10:22 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,21.16 KB, text/plain)
2012-04-12 11:09 UTC, Csányi András - Sayusi Ando
Details
emerge --info (info.txt,5.44 KB, text/plain)
2012-04-12 11:10 UTC, Csányi András - Sayusi Ando
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Csányi András - Sayusi Ando 2012-04-12 11:09:16 UTC
Created attachment 308637 [details]
build.log

I have tried to compile mono-debugger and it's fails.
Comment 1 Csányi András - Sayusi Ando 2012-04-12 11:10:48 UTC
Created attachment 308639 [details]
emerge --info
Comment 2 Pacho Ramos gentoo-dev 2012-04-12 19:04:03 UTC
Fedora patch should fix this:
http://pkgs.fedoraproject.org/gitweb/?p=mono-debugger.git;a=blob;f=mono-debugger-2.10-glib.patch;h=ea0538a51def66cc601b85c1cdde6cad18a27ec3;hb=HEAD

Feel free to commit (I don't have time now)
Comment 3 goeland86 2012-04-15 17:46:16 UTC
Having the same problem when emerging mysql-workbench. I think this is a glib compatibility problem, gtk-engines-nodoka had the same problem again.

Either we need to put patches for all programs dependent on glib that aren't fixed for the 2.32.0+ release, or we add a version requirement to the same packages. Or we could always just mask glib-2.32.0 until we find a fix... Patch for mysql-workbench ebuild coming up as soon as it's done.
Comment 4 Pacho Ramos gentoo-dev 2012-04-15 17:56:22 UTC
For now, report a bug for each broken package and make them block bug 406437 please
Comment 5 Pacho Ramos gentoo-dev 2012-04-18 10:22:43 UTC
+  18 Apr 2012; Pacho Ramos <pacho@gentoo.org>
+  +files/mono-debugger-2.10-glib2.32.patch, mono-debugger-2.10.ebuild:
+  Fix glib-2.32 building.
+